Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types.data
Class ViewSpecification

    java.lang.Object
      com.tibco.bpm.web.client.model.types.data.ViewSpecification

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable

    public class ViewSpecification

extends java.lang.Object
implements com.google.gwt.user.client.rpc.IsSerializable

Constructor Summary
`ViewSpecification()`

Method Summary
`CaseClassDetails` | `getCaseClassDetails()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getName()`
`AbstractSearchCondition` | `getSearchCondition()`
`java.util.List<SortAttribute>` | `getSortAttribute()`
`void` | `setCaseClassDetails(CaseClassDetails caseClassDetails)`
`void` | `setDescription(java.lang.String description)`
`void` | `setName(java.lang.String name)`
`void` | `setSearchCondition(AbstractSearchCondition searchCondition)`
`void` | `setSortAttribute(java.util.List<SortAttribute> sortAttribute)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ViewSpecification

    public ViewSpecification()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### setSearchCondition

    public void setSearchCondition(AbstractSearchCondition searchCondition)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getCaseClassDetails

    public CaseClassDetails getCaseClassDetails()

### setCaseClassDetails

    public void setCaseClassDetails(CaseClassDetails caseClassDetails)

### getSearchCondition

    public AbstractSearchCondition getSearchCondition()

### getSortAttribute

    public java.util.List<SortAttribute> getSortAttribute()

### setSortAttribute

    public void setSortAttribute(java.util.List<SortAttribute> sortAttribute)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.